Bug 765553 - (GLUSTER-3821) call cli_cmd_unlock in the same function as cli_cmd_lock
call cli_cmd_unlock in the same function as cli_cmd_lock
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
All Linux
medium Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 05:17 EST by Niels de Vos
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2011-11-21 05:17:41 EST
cli_cmd_submit calls cli_cmd_lock, but cli_cmd_unlock is done in
cli_cmd_await_response. It is clearer to do the locking and unlocking in
the same function.

Only cli_cmd_submit seems to call cli_cmd_await_response, therefore
moving the cli_cmd_unlock to cli_cmd_submit should be safe.

Vijay Bellur requested to open a bug: http://review.gluster.com/721
Comment 1 Anand Avati 2011-11-23 04:06:32 EST
CHANGE: http://review.gluster.com/721 (cli_cmd_submit calls cli_cmd_lock, but cli_cmd_unlock is done in) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.